/*******************************************************************************
Filename:       hal_types.h

Autor:          Onur Kayikci
                Texas Instruments Freising, Germany
Datum:          19.11.2009

Description:    This file contains C definitions

Processor:      MSP430F5529

*******************************************************************************/

#ifndef HAL_TYPES_H
#define HAL_TYPES_H

/* Texas Instruments MSP430 */

/* ------------------------------------------------------------------------------------------------
 *                                               Types
 * ------------------------------------------------------------------------------------------------
 */
typedef signed   char   int8;
typedef unsigned char   uint8;

typedef signed   short  int16;
typedef unsigned short  uint16;

typedef signed   long   int32;
typedef unsigned long   uint32;

typedef unsigned char   bool;

typedef uint16          halDataAlign_t;


/* ------------------------------------------------------------------------------------------------
 *                                        Memory Attributes
 * ------------------------------------------------------------------------------------------------
 */
#define  XDATA
#define  CODE


/* ------------------------------------------------------------------------------------------------
 *                                        Standard Defines
 * ------------------------------------------------------------------------------------------------
 */
#ifndef TRUE
#define TRUE 1
#endif

#ifndef FALSE
#define FALSE 0
#endif

#ifndef NULL
#define NULL 0
#endif


/**************************************************************************************************
 */
#endif
